Main Page Class Hierarchy Compound List File List Compound Members File Members

# MagServerResult Class Reference

`#include <magserverresult.h>`

Inheritance diagram for MagServerResult:

List of all members.

## Public Member Functions
| MagServerResult ()
void | SetMagnitudeInfo (long p_eventid, long p_originid, int p_magtype, float p_average, float p_error, const char *p_author)
void | ClearChannels ()
void | AddChannel (MAG_SRVR_CHANNEL p_channelinfo)
const long | GetEventId () const
const long | GetOriginId () const
const int | GetMagType () const
const float | GetAverage () const
const float | GetError () const
const char * | GetAuthor () const
const int | GetChannelCount ()
bool | GetChannel (unsigned int p_index, MAG_SRVR_CHANNEL *r_channel) const
## Protected Member Functions
long | BufferInitAlloc ()
void | FormatDerivativeData ()
void | ParseDerivativeData ()
## Protected Attributes
long | EventId
long | OriginId
int | MagType
float | MagAverage
float | MagError
std::string | Author
MAG_SRVR_CHANNEL_VECTOR | Channels

## Constructor & Destructor Documentation

MagServerResult::MagServerResult | ( |  | ) |

| Definition at line 21 of file magserverresult.cpp. References Author, EventId, MagAverage, MagError, MagType, MAGTYPE_UNDEFINED, and OriginId.

## Member Function Documentation

void MagServerResult::AddChannel | ( | MAG_SRVR_CHANNEL | p_channelinfo | ) |

| Definition at line 60 of file magserverresult.cpp. References Channels.

long MagServerResult::BufferInitAlloc | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerResult. Definition at line 113 of file magserverresult.cpp. References MutableServerResult::BufferInitAlloc(), Channels, MSR_CHAN_LINE_SZ_EST, and MSR_HEADER_LINE_SZ_EST.

void MagServerResult::ClearChannels | ( |  | ) |

| Definition at line 53 of file magserverresult.cpp. References Channels.

void MagServerResult::FormatDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerResult. Definition at line 125 of file magserverresult.cpp. References Author, Channels, MutableServerResult::FormatDerivativeData(), and MutableServerMessage::MessageBuffer.

const char * MagServerResult::GetAuthor | ( |  | ) | const

| Definition at line 87 of file magserverresult.cpp. References Author.

const float MagServerResult::GetAverage | ( |  | ) | const

| Definition at line 79 of file magserverresult.cpp. References MagAverage.

bool MagServerResult::GetChannel | ( | unsigned int | p_index,
|  | MAG_SRVR_CHANNEL * | r_channel
| ) | const

| Definition at line 95 of file magserverresult.cpp. References Channels.

const int MagServerResult::GetChannelCount | ( |  | ) |

| Definition at line 91 of file magserverresult.cpp. References Channels.

const float MagServerResult::GetError | ( |  | ) | const

| Definition at line 83 of file magserverresult.cpp. References MagError.

const long MagServerResult::GetEventId | ( |  | ) | const

| Definition at line 67 of file magserverresult.cpp. References EventId.

const int MagServerResult::GetMagType | ( |  | ) | const

| Definition at line 75 of file magserverresult.cpp. References MagType.

const long MagServerResult::GetOriginId | ( |  | ) | const

| Definition at line 71 of file magserverresult.cpp. References OriginId.

void MagServerResult::ParseDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerResult. Definition at line 181 of file magserverresult.cpp. References _MAG_SRVR_CHANNEL::amp1, _MAG_SRVR_CHANNEL::amp1period, _MAG_SRVR_CHANNEL::amp1time, _MAG_SRVR_CHANNEL::amp2, _MAG_SRVR_CHANNEL::amp2period, _MAG_SRVR_CHANNEL::amp2time, _MAG_SRVR_CHANNEL::ampid, _MAG_SRVR_CHANNEL::azm, _MAG_SRVR_CHANNEL::channelid, _MAG_SRVR_CHANNEL::comp, _MAG_SRVR_CHANNEL::componentid, _MAG_SRVR_CHANNEL::dip, _MAG_SRVR_CHANNEL::elev, EventId, _MAG_SRVR_CHANNEL::lat, _MAG_SRVR_CHANNEL::loc, _MAG_SRVR_CHANNEL::lon, MagAverage, MagError, _MAG_SRVR_CHANNEL::magnitude, MagType, MutableServerMessage::MessageBuffer, _MAG_SRVR_CHANNEL::net, OriginId, MutableServerResult::ParseDerivativeData(), and _MAG_SRVR_CHANNEL::sta.

void MagServerResult::SetMagnitudeInfo | ( | long | p_eventid,
|  | long | p_originid,
|  | int | p_magtype,
|  | float | p_average,
|  | float | p_error,
|  | const char * | p_author
| ) |

| Definition at line 34 of file magserverresult.cpp. References Author, EventId, MagAverage, MagError, MagType, and OriginId.

## Member Data Documentation

std::string MagServerResult::Author`[protected]`

| Definition at line 139 of file magserverresult.h. Referenced by FormatDerivativeData(), GetAuthor(), MagServerResult(), and SetMagnitudeInfo().

MAG_SRVR_CHANNEL_VECTOR MagServerResult::Channels`[protected]`

| Definition at line 141 of file magserverresult.h. Referenced by AddChannel(), BufferInitAlloc(), ClearChannels(), FormatDerivativeData(), GetChannel(), and GetChannelCount().

long MagServerResult::EventId`[protected]`

| Definition at line 133 of file magserverresult.h. Referenced by GetEventId(), MagServerResult(), ParseDerivativeData(), and SetMagnitudeInfo().

float MagServerResult::MagAverage`[protected]`

| Definition at line 136 of file magserverresult.h. Referenced by GetAverage(), MagServerResult(), ParseDerivativeData(), and SetMagnitudeInfo().

float MagServerResult::MagError`[protected]`

| Definition at line 137 of file magserverresult.h. Referenced by GetError(), MagServerResult(), ParseDerivativeData(), and SetMagnitudeInfo().

int MagServerResult::MagType`[protected]`

| Definition at line 135 of file magserverresult.h. Referenced by GetMagType(), MagServerResult(), ParseDerivativeData(), and SetMagnitudeInfo().

long MagServerResult::OriginId`[protected]`

| Definition at line 133 of file magserverresult.h. Referenced by GetOriginId(), MagServerResult(), ParseDerivativeData(), and SetMagnitudeInfo().

The documentation for this class was generated from the following files:

- magserverresult.h
- magserverresult.cpp